libmspub::CustomShape Struct Reference documentation

libmspub::CustomShape Struct Reference

`#include <PolygonUtils.h>`

## Public Member Functions
Coordinate | getTextRectangle (double x, double y, double width, double height, std::function< double(unsigned index)> calculator) const
| CustomShape (const Vertex *p_vertices, unsigned numVertices, const unsigned short *p_elements, unsigned numElements, const Calculation *p_calculations, unsigned numCalculations, const int *p_defaultAdjustValues, unsigned numDefaultAdjustValues, const TextRectangle *p_textRectangles, unsigned numTextRectangles, unsigned coordWidth, unsigned coordHeight, const Vertex *p_gluePoints, unsigned numGluePoints, unsigned char adjustShiftMask=0)

## Public Attributes
const Vertex * | mp_vertices
unsigned | m_numVertices
const unsigned short * | mp_elements
unsigned | m_numElements
const Calculation * | mp_calculations
unsigned | m_numCalculations
const int * | mp_defaultAdjustValues
unsigned | m_numDefaultAdjustValues
const TextRectangle * | mp_textRectangles
unsigned | m_numTextRectangles
unsigned | m_coordWidth
unsigned | m_coordHeight
const Vertex * | mp_gluePoints
unsigned | m_numGluePoints
unsigned char | m_adjustShiftMask

## Constructor & Destructor Documentation

## ◆ CustomShape()

libmspub::CustomShape::CustomShape | ( | const Vertex * | p_vertices,
|  | unsigned | numVertices,
|  | const unsigned short * | p_elements,
|  | unsigned | numElements,
|  | const Calculation * | p_calculations,
|  | unsigned | numCalculations,
|  | const int * | p_defaultAdjustValues,
|  | unsigned | numDefaultAdjustValues,
|  | const TextRectangle * | p_textRectangles,
|  | unsigned | numTextRectangles,
|  | unsigned | coordWidth,
|  | unsigned | coordHeight,
|  | const Vertex * | p_gluePoints,
|  | unsigned | numGluePoints,
|  | unsigned char | adjustShiftMask = 0 )
| inline

## Member Function Documentation

## ◆ getTextRectangle()

Coordinate libmspub::CustomShape::getTextRectangle | ( | double | x,
|  | double | y,
|  | double | width,
|  | double | height,
|  | std::function< double(unsigned index)> | calculator ) const

## Member Data Documentation

## ◆ m_adjustShiftMask

unsigned char libmspub::CustomShape::m_adjustShiftMask

Referenced by CustomShape(), and libmspub::MSPUBCollector::getSpecialValue().

## ◆ m_coordHeight

unsigned libmspub::CustomShape::m_coordHeight

Referenced by CustomShape(), libmspub::MSPUBCollector::getSpecialValue(), and getTextRectangle().

## ◆ m_coordWidth

unsigned libmspub::CustomShape::m_coordWidth

Referenced by CustomShape(), libmspub::MSPUBCollector::getSpecialValue(), and getTextRectangle().

## ◆ m_numCalculations

unsigned libmspub::CustomShape::m_numCalculations

Referenced by CustomShape(), and libmspub::MSPUBCollector::getCalculationValue().

## ◆ m_numDefaultAdjustValues

unsigned libmspub::CustomShape::m_numDefaultAdjustValues

Referenced by CustomShape().

## ◆ m_numElements

unsigned libmspub::CustomShape::m_numElements

Referenced by CustomShape().

## ◆ m_numGluePoints

unsigned libmspub::CustomShape::m_numGluePoints

Referenced by CustomShape().

## ◆ m_numTextRectangles

unsigned libmspub::CustomShape::m_numTextRectangles

Referenced by CustomShape(), and getTextRectangle().

## ◆ m_numVertices

unsigned libmspub::CustomShape::m_numVertices

Referenced by CustomShape().

## ◆ mp_calculations

const Calculation* libmspub::CustomShape::mp_calculations

Referenced by CustomShape(), and libmspub::MSPUBCollector::getCalculationValue().

## ◆ mp_defaultAdjustValues

const int* libmspub::CustomShape::mp_defaultAdjustValues

Referenced by CustomShape().

## ◆ mp_elements

const unsigned short* libmspub::CustomShape::mp_elements

Referenced by CustomShape().

## ◆ mp_gluePoints

const Vertex* libmspub::CustomShape::mp_gluePoints

Referenced by CustomShape().

## ◆ mp_textRectangles

const TextRectangle* libmspub::CustomShape::mp_textRectangles

Referenced by CustomShape(), and getTextRectangle().

## ◆ mp_vertices

const Vertex* libmspub::CustomShape::mp_vertices

Referenced by CustomShape().

The documentation for this struct was generated from the following files:

- PolygonUtils.h
- PolygonUtils.cpp